package com.loafle.overflow.central.module.domain.service;

import com.loafle.overflow.central.module.domain.dao.DomainDAO;

import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.domain.Domain;
import com.loafle.overflow.service.central.domain.DomainService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by snoop on 17. 6. 28.
 */
@Service("DomainService")
public class CentralDomainService implements DomainService {

  @Autowired
  private DomainDAO domainDAO;

  public void regist(Domain domain) throws OverflowException {
    this.domainDAO.save(domain);
  }
}
